From: "Sebastian Pipping" <sping@gentoo.org>
To: gentoo-commits@lists.gentoo.org
Subject: [gentoo-commits] repo/gentoo:master commit in: app-portage/metagen/
Date: Sun, 31 Mar 2024 00:20:07 +0000 (UTC) [thread overview]
Message-ID: <1711844402.283d5461f53e571a1e7015124319b837ac64a5ca.sping@gentoo> (raw)
commit: 283d5461f53e571a1e7015124319b837ac64a5ca
Author: Sebastian Pipping <sping <AT> gentoo <DOT> org>
AuthorDate: Sun Mar 31 00:18:44 2024 +0000
Commit: Sebastian Pipping <sping <AT> gentoo <DOT> org>
CommitDate: Sun Mar 31 00:20:02 2024 +0000
URL: https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=283d5461
app-portage/metagen: 0.7.4
Signed-off-by: Sebastian Pipping <sping <AT> gentoo.org>
app-portage/metagen/Manifest | 1 +
app-portage/metagen/metagen-0.7.4.ebuild | 32 ++++++++++++++++++++++++++++++++
2 files changed, 33 insertions(+)
diff --git a/app-portage/metagen/Manifest b/app-portage/metagen/Manifest
index 55593429be75..215aa06d8cfa 100644
--- a/app-portage/metagen/Manifest
+++ b/app-portage/metagen/Manifest
@@ -1 +1,2 @@
DIST metagen-0.7.3.tar.gz 9607 BLAKE2B 3c5b9debf10b0a6dda9bdf0e45e157c80019d0496d93f5af18e7be1b502c320fdbf7bd28f382e9021580d3aaa373566d7b342f3fa57f736fcb3676bafdd4d6e2 SHA512 d7293125685ad3be35dd9213b5d52c9219b6a5bcee4ab15fb2426bdccdb95b4df5567c2178bdefc0e75987080cd51026b5b089a4d4cf6402f455429d55d3a9e8
+DIST metagen-0.7.4.tar.gz 9291 BLAKE2B a1ad7267202f8bc477002a4c9deeb0cd26c8f2163f4fb3a0bf74e39b46448f3ba29dcec1201f41a0e98af8780b219102f3733b957a4e87293cc5e04486e39755 SHA512 e3d37cbe32fabbc980185d9948f6a38dfca756f727d86c26f7f5bd92e768bc034bffa14995844347bb3e19fe2d8757dcb45a3cab5b9e58d97c9c562b75a90d26
diff --git a/app-portage/metagen/metagen-0.7.4.ebuild b/app-portage/metagen/metagen-0.7.4.ebuild
new file mode 100644
index 000000000000..c2197d9b87d8
--- /dev/null
+++ b/app-portage/metagen/metagen-0.7.4.ebuild
@@ -0,0 +1,32 @@
+# Copyright 1999-2024 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI="8"
+DISTUTILS_USE_PEP517=setuptools
+PYTHON_COMPAT=( python3_{9..12} )
+
+inherit distutils-r1 pypi
+
+DESCRIPTION="metadata.xml generator for ebuilds"
+HOMEPAGE="https://cgit.gentoo.org/proj/metagen.git"
+
+LICENSE="GPL-2"
+SLOT="0"
+KEYWORDS="~amd64 ~arm64 ~hppa ~ppc ~riscv ~x86 ~amd64-linux ~x86-linux"
+
+DEPEND="dev-python/lxml[${PYTHON_USEDEP}]
+ sys-apps/portage[${PYTHON_USEDEP}]"
+RDEPEND="${DEPEND}"
+
+distutils_enable_tests pytest
+
+python_install_all() {
+ distutils-r1_python_install_all
+ doman docs/metagen.1
+
+ # Bug 814545 and 832069
+ if [[ ${PF} != ${P} ]]; then # to be robust across bumps
+ mv "${ED}"/usr/share/doc/${P}/* "${ED}"/usr/share/doc/${PF}/ || die
+ rmdir "${ED}"/usr/share/doc/${P}/ || die
+ fi
+}
next reply other threads:[~2024-03-31 0:20 UTC|newest]
Thread overview: 49+ messages / expand[flat|nested] mbox.gz Atom feed top
2024-03-31 0:20 Sebastian Pipping [this message]
-- strict thread matches above, loose matches on Subject: below --
2025-01-19 16:52 [gentoo-commits] repo/gentoo:master commit in: app-portage/metagen/ James Le Cuirot
2024-05-28 12:35 Sam James
2023-11-05 19:51 Sebastian Pipping
2023-05-20 6:22 Michał Górny
2023-04-20 4:19 Sam James
2023-04-20 4:17 Sam James
2023-04-20 4:14 Arthur Zamarin
2022-11-28 21:21 Sebastian Pipping
2022-11-28 21:21 Sebastian Pipping
2022-08-08 19:59 Jakov Smolić
2022-07-31 16:12 Jakov Smolić
2022-07-31 16:08 Jakov Smolić
2022-05-25 19:39 Sebastian Pipping
2022-01-28 9:31 Agostino Sarubbo
2022-01-26 20:25 Jakov Smolić
2022-01-26 20:18 Jakov Smolić
2022-01-25 22:16 Sebastian Pipping
2022-01-25 18:12 Sebastian Pipping
2021-12-26 12:14 Benda XU
2021-09-28 19:15 Sebastian Pipping
2021-09-23 20:39 Sebastian Pipping
2020-12-07 16:28 Sebastian Pipping
2020-06-06 19:31 Mart Raudsepp
2020-03-19 9:41 Michał Górny
2020-03-19 9:41 Michał Górny
2020-03-02 11:49 Sergei Trofimovich
2020-03-02 11:22 Sergei Trofimovich
2020-02-28 17:50 Agostino Sarubbo
2020-02-27 9:49 Agostino Sarubbo
2020-01-31 18:02 Sebastian Pipping
2020-01-31 16:20 Sebastian Pipping
2020-01-25 22:58 Sebastian Pipping
2019-05-18 10:02 Michał Górny
2018-08-26 8:25 Michał Górny
2018-03-21 18:12 Michał Górny
2017-03-13 19:51 Sebastian Pipping
2017-03-13 19:44 Sebastian Pipping
2016-10-09 11:01 Jeroen Roovers
2016-08-23 2:28 Mike Gilbert
2016-08-22 13:21 Sebastian Pipping
2016-08-11 8:20 Sergey Popov
2016-08-06 12:47 Pacho Ramos
2016-06-23 21:26 Sebastian Pipping
2016-02-21 22:28 Sebastian Pipping
2015-11-04 15:17 Agostino Sarubbo
2015-11-03 15:19 Agostino Sarubbo
2015-11-02 5:28 Jeroen Roovers
2015-10-30 15:20 Sebastian Pipping
Reply instructions:
You may reply publicly to this message via plain-text email
using any one of the following methods:
* Save the following mbox file, import it into your mail client,
and reply-to-all from there: mbox
Avoid top-posting and favor interleaved quoting:
https://en.wikipedia.org/wiki/Posting_style#Interleaved_style
* Reply using the --to, --cc, and --in-reply-to
switches of git-send-email(1):
git send-email \
--in-reply-to=1711844402.283d5461f53e571a1e7015124319b837ac64a5ca.sping@gentoo \
--to=sping@gentoo.org \
--cc=gentoo-commits@lists.gentoo.org \
--cc=gentoo-dev@lists.gentoo.org \
/path/to/YOUR_REPLY
https://kernel.org/pub/software/scm/git/docs/git-send-email.html
* If your mail client supports setting the In-Reply-To header
via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line
before the message body.
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox